> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Kafka metrics graphs

> Retrieves broker, topic, partition, and per-broker CPU user/system metrics for a Strimzi Kafka cluster.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml get /kafka-clusters/{uuid}/metrics-graph
openapi: 3.1.0
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.130
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /kafka-clusters/{uuid}/metrics-graph:
    get:
      tags:
        - Kafka Clusters
      summary: Get Kafka metrics graphs
      description: >-
        Retrieves broker, topic, partition, and per-broker CPU user/system
        metrics for a Strimzi Kafka cluster.
      operationId: kafka_cluster_metrics_graph
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
        - in: query
          name: from
          required: true
          schema:
            type: string
        - in: query
          name: to
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayloadsKafkaMetricsGraph'
          description: OK
        '400':
          description: Bad Request
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    PayloadsKafkaMetricsGraph:
      properties:
        brokerCount:
          items:
            $ref: '#/components/schemas/PayloadsKafkaMetricsGraphSeries'
          type:
            - array
            - 'null'
        cpuSystem:
          items:
            $ref: '#/components/schemas/PayloadsKafkaMetricsGraphSeries'
          type:
            - array
            - 'null'
        cpuUser:
          items:
            $ref: '#/components/schemas/PayloadsKafkaMetricsGraphSeries'
          type:
            - array
            - 'null'
        memoryUsage:
          items:
            $ref: '#/components/schemas/PayloadsKafkaMetricsGraphSeries'
          type:
            - array
            - 'null'
        partitionCount:
          items:
            $ref: '#/components/schemas/PayloadsKafkaMetricsGraphSeries'
          type:
            - array
            - 'null'
        reason:
          type: string
        supported:
          type: boolean
        topicCount:
          items:
            $ref: '#/components/schemas/PayloadsKafkaMetricsGraphSeries'
          type:
            - array
            - 'null'
        unit:
          type: string
      required:
        - supported
        - unit
        - brokerCount
        - topicCount
        - partitionCount
        - cpuUser
        - cpuSystem
        - memoryUsage
      type: object
    PayloadsKafkaMetricsGraphSeries:
      properties:
        label:
          type: string
        points:
          items:
            $ref: '#/components/schemas/PayloadsKafkaMetricsGraphPoint'
          type:
            - array
            - 'null'
      required:
        - label
        - points
      type: object
    PayloadsKafkaMetricsGraphPoint:
      properties:
        timestamp:
          format: date-time
          type: string
        value:
          format: double
          type: number
      required:
        - timestamp
        - value
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.